
  <div class="row">
    <div class="col-lg-8">
        <h1 class="page-header">Sala</h1>
    </div>
    <div class="col-lg-4">
      <button type="button" class="btn btn-block btn-social btn-success" data-toggle="modal" data-target="#s"><i class="fa fa-plus fa-lg"></i>
        Nueva Sala
      </button>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-12">
      <div class="panel panel-default">
        <div class="panel-body">
          <table width="100%" class="table table-striped table-bordered table-hover" id="sa">
            <thead>
              <tr>
                <th>Capacidad</th>
                <th>Tipo</th>
                <th>Cine</th>
                <th width="15%">Opciones</th>
              </tr>
            </thead>
            <tbody>
              <% @salas.each do |sala| %>
              <% @f = sala.funcion.count %>
                <tr>
                  <td><%= sala.sala_cap %></td>
                  <td><%= sala.sala_ts %></td>
                  <td><%= sala.cine.cine_nom %></td>
                  <td>
                    <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_sala_path(sala), class: "btn btn-warning btn-circle" %>
                    <% if ( @f > 0 ) %>
                    <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Funciones = <%= @f %>"><i class="fa fa-trash-o fa-lg"></i></button>
                    <% else %>
                    <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, sala, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                    <% end %>
                  </td>
                </tr>
              <% end %>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="s" tabindex="-1" role="dialog" aria-labelledby="sLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="sLabel">Nuevo Sala</h4>
        </div>
        <div class="modal-body">
          <%= render 'form', sala: @sala %>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
  $(document).ready(function(){
    $('#sa').DataTable();
  });
  $('#s').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
</script>
